//------------------------------------------------------------------------------------------------
//
//   JoffMode - Loading Plugin
//
//------------------------------------------------------------------------------------------------

package gcewing.joffmode;

import java.io.*;
import java.util.*;
import java.util.zip.*;
import net.minecraftforge.fml.relauncher.*;

@IFMLLoadingPlugin.TransformerExclusions({"gcewing.joffmode"})
public class JMLoadingPlugin implements IFMLLoadingPlugin {

	static File location;
	static ZipFile zip;

	{
		System.out.printf("JoffMode: JMLoadingPlugin loaded\n");
	}

	@SuppressWarnings("deprecation")
	public String[] getLibraryRequestClass() {return null;}

	public String getModContainerClass() {return null;}
	public String getSetupClass() {return null;}
	public String getAccessTransformerClass() {return null;}


	@Override
	public String[] getASMTransformerClass() {
		return new String[] {"gcewing.joffmode.JMClassTransformer"};
	}
	
	@Override
	public void injectData(Map<String, Object> data) {
		System.out.printf("JoffMode: JMLoadingPlugin.injectData\n");
		location = (File) data.get("coremodLocation");
		System.out.printf("JoffMode: JMLoadingPlugin.injectData: Opening zip file %s\n", JMLoadingPlugin.location);
		try {
			zip = new ZipFile(JMLoadingPlugin.location);
		}
		catch (Exception e) {
			throw new RuntimeException(e);
		}
	}

}
